AnnotationHub installation ‘Rcpp’ 1.0.6 is already loaded, but >= 1.0.7 is required
0
0
Entering edit mode
nhaus • 0
@789c70a6
Last seen 3 months ago
Switzerland

Hello,

I am currently trying to install AnnotationHub but I am running into problems. I use R 4.0.4, renv (version 0.15.4) and BiocVersion 3.12.

When I run BiocManager::install("AnnotationHub"), I get the following error:

Warning message:
This project is configured to use R version '4.1.1', but '4.0.4' is currently being used. 
* installing *source* package ‘AnnotationHub’ ...
** using staged installation
** R
** inst
** byte-compile and prepare package for lazy loading
** help
*** installing help indices
** building package indices
** installing vignettes
** testing if installed package can be loaded from temporary location
** testing if installed package can be loaded from final location
Error: package or namespace load failed for ‘AnnotationHub’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
 namespace ‘Rcpp’ 1.0.6 is already loaded, but >= 1.0.7 is required
Error: loading failed
Execution halted

My .libPaths() look something like this:

[1] "/test_renv/renv/library/R-4.0/x86_64-pc-linux-gnu"
[2] "/usr/prog/R/4.0.4/lib64/R/library"

I thought that the error message was very straight forward and reinstalled Rcpp (install.packages("Rcpp")). Then I ran packageVersion("Rcpp") which returned 1.0.8.3. I restarted my R session and reran BiocManager::install("AnnotationHub"), but the exact same error message occured. Also if I run library(Rcpp) before installing AnnotationHub.

When I run sessionInfo() after restart, it looks like this:

R version 4.0.4 (2021-02-15)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: CentOS Linux 7 (Core)

Matrix products: default
BLAS/LAPACK: /usr/prog/OpenBLAS/0.2.20-GCC-6.4.0-2.28/lib/libopenblas_haswellp-r0.2.20.so

locale:
 [1] LC_CTYPE=en_US.UTF-8       LC_NUMERIC=C               LC_TIME=en_US.UTF-8       
 [4] LC_COLLATE=en_US.UTF-8     LC_MONETARY=en_US.UTF-8    LC_MESSAGES=en_US.UTF-8   
 [7] LC_PAPER=en_US.UTF-8       LC_NAME=C                  LC_ADDRESS=C              
[10] LC_TELEPHONE=C             LC_MEASUREMENT=en_US.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] stats     graphics  grDevices datasets  utils     methods   base     

loaded via a namespace (and not attached):
[1] compiler_4.0.4 tools_4.0.4    renv_0.15.4

I would greatly appreciated any insights, why this might occur and how I can fix it.

(I have also posted the issue on StackOverflow, because I think that this is not necessary a Bioconductor related problem)

AnnotationHub Install • 375 views
ADD COMMENT
0
Entering edit mode

For everybody who encounters a similar problem, renv::install("bioc::AnnotationHub") did the trick.

ADD REPLY
0
Entering edit mode

You could have also tried BiocManager::valid() to try to check if all versions of Bioconductor are compatible.

ADD REPLY

Login before adding your answer.

Traffic: 352 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6